Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452047 - Installation from PlaneT repository fails: cache directories not writable
Summary: Installation from PlaneT repository fails: cache directories not writable
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: plt-scheme
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 22:58 UTC by Michel Alexandre Salim
Modified: 2009-07-14 15:21 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:21:55 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2008-06-18 22:58:44 UTC
Description of problem:
Trying to use a PlaneT package would fail, as PLT Scheme tries to compile the
files and store the results in non-writable directories

Version-Release number of selected component (if applicable):
4.0-2

How reproducible:
Always

Steps to Reproduce:
1. rm -rf ~/.plt-scheme/planet (otherwise, the second time installation is
attempted, planet does not reattempt the previous failed steps)
2. From mzscheme or drscheme, type in REPL:
(require (planet "test.ss" ("schematics" "schemeunit.plt" 2 10)))
  
Actual results:
open-output-file: cannot open output file:
"/usr/lib64/plt/collects/config/compiled/config_ss.zo" (Permission denied; errno=13)
setup-plt: error: during making for <planet>/schematics/schemeunit.plt/2/10
(schemeunit)
setup-plt:   open-output-file: cannot open output file:
"/usr/lib64/plt/collects/config/compiled/config_ss.zo" (Permission denied; errno=13)
Internal PLaneT error: trying to install already-installed package


Expected results:
Should just work

Additional info:

Comment 1 Michel Alexandre Salim 2008-06-19 01:21:33 UTC
Eli Barzilay helped debugging this; the culprit is that some files were deleted,
either because they are of size 0 (Eli pointed out that one such file is used
merely for its executable permission, as a stub to which scripts are appended
to), and the files that are removed because they contain the buildroot.

I'm currently working out how to get the buildroot out. It looks like some of
the Makefiles wrongly assume that DESTDIR is where the package will end up
permanently, instead of just a packaging temporary. Eugh.


Comment 2 Michel Alexandre Salim 2008-06-19 03:16:23 UTC
Reported upstream: http://bugs.plt-scheme.org/query/?cmd=view&pr=9524

Comment 3 Gérard Milmeister 2008-09-17 14:23:17 UTC
I built the new version 4.1 for rawhide.
The buildroot is still in. For now I disabled
buildroot checking, and it seems that everything
runs fine. All platforms have been built
successfully, but x86_64 is built using -O1
instead of -O2 (it should be possible to find
out what optimization flag exactly breaks the
built, but this takes time), and ppc64 is built
using --enable-cgcdefault.
Please try it out. Maybe we can reduce some
of the modifications to the optflags.

Comment 4 Michel Alexandre Salim 2008-10-08 21:07:19 UTC
I've not tested it heavily, but it seems to work. There is a problem with SELinux, though -- /usr/bin/mred needs its context to be unconfined_execmem_exec_t, otherwise thousands of AVC denial messages get generated in a very short time span. Do you think this can be addressed, or should one of us file a request bug against selinux-policy-targeted?

Comment 5 Gérard Milmeister 2008-10-08 22:27:36 UTC
On F-9 I don't get any selinux messages, maybe this
is specific to rawhide? (I checked that allow_execmem=0)

Comment 6 Bug Zapper 2009-06-10 01:41:36 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 15:21:55 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.